# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

# Declaring specific app values (TO CHANGE)
bin_name = 'Shockwave_Installer_Slim.exe'
silent_args = '/S'
app_uninstallkey = 'Adobe Shockwave Player'


def install():
    import time
    # Specific app values
    package_version = control.version.split('-',1)[0]
    tasks_to_kill = control.impacted_process

	# Getting the used storage on programfiles before installation (place it on the top)
    get_disk_free_space_before = get_disk_free_space(programfiles)

    # Installing the package
    install_exe_if_needed(bin_name
        ,silentflags=silent_args
        ,key=app_uninstallkey
        ,min_version=package_version)

    time.sleep(10)
    killalltasks(tasks_to_kill)

	# Return used storage of the program. (place it on the bottom)
    get_disk_free_space_after = get_disk_free_space(programfiles)
    free_space_after_diff = get_disk_free_space_before - get_disk_free_space_after
    print("Storage used: " + str(free_space_after_diff))


def update_package():
    pass

